=== modified file 'codeigniter/application/config/config.php'
--- codeigniter/application/config/config.php	2013-04-23 09:19:31 +0000
+++ codeigniter/application/config/config.php	2013-04-24 14:31:47 +0000
@@ -14,7 +14,7 @@
 | path to your installation.
 |
 */
-$config['base_url']	= 'http://localhost/lenasys/codeigniter/';
+$config['base_url']	= 'http://212.25.134.104/lenasys/codeigniter/';
 
 /*
 |--------------------------------------------------------------------------
@@ -224,7 +224,7 @@
 | MUST set an encryption key.  See the user guide for info.
 |
 */
-$config['encryption_key'] = '';
+$config['encryption_key'] = 'kdoeoekkdkfjgutikfjdhdhdheyy7ui';
 
 /*
 |--------------------------------------------------------------------------

=== modified file 'codeigniter/application/controllers/admin.php'
--- codeigniter/application/controllers/admin.php	2013-04-12 15:53:54 +0000
+++ codeigniter/application/controllers/admin.php	2013-04-24 14:31:47 +0000
@@ -9,55 +9,130 @@
 	public function index() {
 		$this->load->model('admin/Admin_model');
 		$courses = $this->Admin_model->getCourses();
+		$menu = $this->Admin_model->getMenu();
 		$this->load->view('admin/header', array("title" => "Index"));
+		$this->load->view('admin/menu', array("menu" => $menu));
 		$this->load->view('admin/index', array("courses" => $courses));
-	}
+	} 
 
-	public function addCourse(){
-		
+	public function addCourse() {
+		$this->load->model('admin/Admin_model');
 		if(!isset($_POST['cid'])){
 			$this->load->helper('form');
 			$this->load->view('admin/header', array("title" => "Add course"));
+			$menu = $this->Admin_model->getMenu();
+			$this->load->view('admin/menu', array("menu" => $menu));
 			$this->load->view('admin/add_course');
 		} else {
-			$this->load->model('admin/Admin_model');
+			
 			$this->Admin_model->addCourse($_POST['cid'], $_POST['name']);
 			redirect("admin/");
 		}
 	}
 
 	public function manageCourse($cid) {
+		$cid = urldecode($cid);
 		$this->load->model('admin/Admin_model');
-		$examples = $this->Admin_model->getExamples($cid);
+		$categories = $this->Admin_model->getCategories($cid);
 		$this->load->view('admin/header', array("title" => "Manage course - ".$cid));
-		$this->load->view('admin/manage_course', array("examples" => $examples, "cid" => $cid));
-	}
-
-	public function addExample($cid){
+		$menu = $this->Admin_model->getMenu();
+		$this->load->view('admin/menu', array("menu" => $menu));
+		$this->load->view('admin/manage_course', array("categories" => $categories, "cid" => $cid));
+	}
+
+	public function addCategory($cid){
+		$cid = urldecode($cid);
+		$this->load->model('admin/Admin_model');
+		if(!isset($_POST['categoryName'])){
+			$this->load->helper('form');
+			$this->load->view('admin/header', array("title" => "Add category"));
+			$menu = $this->Admin_model->getMenu();
+			$this->load->view('admin/menu', array("menu" => $menu));
+			$this->load->view('admin/add_category', array("cid" => $cid));
+		} else {
+			
+			$this->Admin_model->addCategory($_POST['cid'], $_POST['categoryName']);
+			redirect("admin/");
+		}
+	}
+
+	public function manageCategory($cid, $categoryName) {
+		$cid = urldecode($cid);
+		$categoryName = urldecode($categoryName);
+		$this->load->model('admin/Admin_model');
+		$subcategories = $this->Admin_model->getSubCategories($cid,  $categoryName);
+		$this->load->view('admin/header', array("title" => "Manage category - ".$cid." - ". $categoryName));
+		$menu = $this->Admin_model->getMenu();
+		$this->load->view('admin/menu', array("menu" => $menu));
+		$this->load->view('admin/manage_category', array("subcategories" => $subcategories, "cid" => $cid, "categoryName" => $categoryName));
+	}
+
+	public function addSubCategory($cid, $categoryName){
+		$cid = urldecode($cid);
+		$categoryName = urldecode($categoryName);
+		$this->load->model('admin/Admin_model');
+		if(!isset($_POST['subcategoryname'])){
+			$this->load->helper('form');
+			$this->load->view('admin/header', array("title" => "Add subcategory"));
+			$menu = $this->Admin_model->getMenu();
+			$this->load->view('admin/menu', array("menu" => $menu));
+			$this->load->view('admin/add_sub_category', array("cid" => $cid, "category" => $categoryName));
+		} else {
 		
+			$this->Admin_model->addSubCategory($_POST['cid'], $_POST['category'], $_POST['subcategoryname']);
+			redirect("admin/");
+		}
+	}
+
+	public function manageSubCategory($cid, $categoryName, $subCategoryName) {
+		$cid = urldecode($cid);
+		$categoryName = urldecode($categoryName);
+		$subCategoryName = urldecode($subCategoryName);
+		$this->load->model('admin/Admin_model');
+		$examples = $this->Admin_model->getExamples($cid,  $categoryName, $subCategoryName);
+		$this->load->view('admin/header', array("title" => "Manage category - ".$cid." - ". $categoryName));
+		$menu = $this->Admin_model->getMenu();
+		$this->load->view('admin/menu', array("menu" => $menu));
+		$this->load->view('admin/manage_sub_category', array("examples" => $examples, "cid" => $cid, "categoryName" => $categoryName, "subCategoryName" => $subCategoryName));
+	}
+
+	public function addExample($cid, $categoryName, $subCategoryName){
+		$cid = urldecode($cid);
+		$categoryName = urldecode($categoryName);
+		$subCategoryName = urldecode($subCategoryName);
+		$this->load->model('admin/Admin_model');
 		if(!isset($_POST['example'])){
 			$this->load->helper('form');
 			$this->load->view('admin/header', array("title" => "Add example"));
-			$this->load->view('admin/add_example', array("cid" => $cid));
+			$menu = $this->Admin_model->getMenu();
+			$this->load->view('admin/menu', array("menu" => $menu));
+			$this->load->view('admin/add_example', array("cid" => $cid, "categoryName" => $categoryName, "subCategoryName" => $subCategoryName));
 		} else {
-			$this->load->model('admin/Admin_model');
-			$this->Admin_model->addExample($_POST['cid'], $_POST['example'], $_POST['description']);
+			
+			$this->Admin_model->addExample($_POST['cid'],  $_POST['categoryName'], $_POST['subCategoryName'], $_POST['example'], $_POST['description']);
 			redirect("admin/");
 		}
 	}
 
 	public function manageExample($cid, $example) {
+		$cid = urldecode($cid);
+		$example = urldecode($example);
 		$this->load->model('admin/Admin_model');
 		$pages = $this->Admin_model->getPages($cid, $example);
 		$this->load->view('admin/header', array("title" => "Manage example - ".$example." - ".$cid));
+		$menu = $this->Admin_model->getMenu();
+		$this->load->view('admin/menu', array("menu" => $menu));
 		$this->load->view('admin/manage_example', array("pages" => $pages, "cid" => $cid, "example" => $example));
 	}
 
 	public function addPage($cid, $example){
-		
-		if(!isset($_POST['page'])){
+		$cid = urldecode($cid);
+		$example = urldecode($example);
+		if(!isset($_POST['page'])) {
 			$this->load->helper('form');
 			$this->load->view('admin/header', array("title" => "Add page"));
+			$menu = $this->Admin_model->getMenu();
+			$this->load->view('admin/menu', array("menu" => $menu));
 			$this->load->view('admin/add_page', array("cid" => $cid, "example" => $example));
 		} else {
 			$this->load->model('admin/Admin_model');
@@ -67,6 +142,9 @@
 	}
 
 	public function managePage($cid, $example, $page) {
+		$cid = urldecode($cid);
+		$example = urldecode($example);
+		$page = urldecode($page);
 		if(!isset($_POST['documentation'])){
 			$this->load->helper('form');
 
@@ -87,6 +165,9 @@
 	}
 
 	public function uploadFile($cid, $example, $page) {
+		$cid = urldecode($cid);
+		$example = urldecode($example);
+		$page = urldecode($page);
 		$this->load->model('admin/Admin_model');
 		$this->Admin_model->uploadFile($_FILES['files'],$cid, $example, $page);
 	}

=== modified file 'codeigniter/application/models/admin/admin_model.php'
--- codeigniter/application/models/admin/admin_model.php	2013-04-18 12:10:01 +0000
+++ codeigniter/application/models/admin/admin_model.php	2013-04-24 14:31:47 +0000
@@ -28,16 +28,89 @@
 
 	}
 
-	function getExamples($cid) {
-		$query = $this->db->get_where('Examples', array("courseID" => $cid));
-		return $query->result();
-	}
-
-	function addExample($cid, $example, $description){
+	function getMenu(){
+		$menu = array();
+		$courses = $this->db->get("courses");
+		foreach ($courses->result() as $course) {
+			$menu[$course->name] = array();
+			$menu[$course->name]['CID'] = $course->courseID;
+			$categories = $this->db->get_where("categories", array("courseID" => $course->courseID));
+
+			foreach($categories->result() as $category){
+				$menu[$course->name][$category->categoryName] = array();
+
+				$subcategories = $this->db->get_where("subcategories", array("courseID" => $course->courseID, "categoryName" => $category->categoryName));
+
+				foreach($subcategories->result() as $subcategory){
+					$menu[$course->name][$category->categoryName][$subcategory->subCategoryName] = array();
+
+				}
+			}
+		}
+		
+		return $menu;
+
+	}
+
+	function getCategories($cid) {
+		$query = $this->db->get_where('Categories', array("courseID" => $cid));
+		return $query->result();
+	}
+
+	function addCategory($cid, $categoryName){
+		$this->db->select_max("orderNr");
+		$query = $this->db->get_where('Categories', array("courseID" => $cid));
+
+		$result = $query->result();
+		$data = array(
+			'courseID' => $cid ,
+			'categoryName' => $categoryName,
+			'orderNr' => $result[0]->orderNr+1
+			);
+
+		$this->db->insert('Categories', $data); 
+		//mkdir("../courses/".$cid."/".$example);
+
+	}
+
+	function getSubCategories($cid, $categoryName) {
+		$query = $this->db->get_where('subcategories', array("courseID" => $cid, "categoryName" => $categoryName));
+		return $query->result();
+	}
+
+	function addSubCategory($cid, $categoryName, $subCategoryName){
+		$this->db->select_max("orderNr");
+		$query = $this->db->get_where('subcategories', array("courseID" => $cid, "categoryName" => $categoryName));
+
+		$result = $query->result();
+		$data = array(
+			'courseID' => $cid ,
+			'subCategoryName' => $subCategoryName,
+			'categoryName' => $categoryName,
+			'orderNr' => $result[0]->orderNr+1
+			);
+
+		$this->db->insert('subcategories', $data); 
+		//mkdir("../courses/".$cid."/".$example);
+
+	}
+
+	function getExamples($cid, $categoryName, $subCategoryName) {
+		$query = $this->db->get_where('Examples', array("courseID" => $cid, "categoryName" => $categoryName, "subCategoryName" => $subCategoryName));
+		return $query->result();
+	}
+
+	function addExample($cid, $categoryName, $subCategoryName, $example, $description){
+		$this->db->select_max("orderNr");
+		$query = $this->db->get_where('examples', array("courseID" => $cid, "categoryName" => $categoryName, "subCategoryName" => $subCategoryName));
+		$result = $query->result();
 		$data = array(
 			'courseID' => $cid ,
 			'exampleName' => $example,
-			'description' => $description
+			'description' => $description,
+			'categoryName' => $categoryName,
+			'subCategoryName' => $subCategoryName,
+			'orderNr' => $result[0]->orderNr+1
 			);
 
 		$this->db->insert('Examples', $data); 

=== added file 'codeigniter/application/views/admin/add_category.php'
--- codeigniter/application/views/admin/add_category.php	1970-01-01 00:00:00 +0000
+++ codeigniter/application/views/admin/add_category.php	2013-04-24 14:31:47 +0000
@@ -0,0 +1,30 @@
+
+					<div class="span9">
+						
+						<div class="span9" id="content">
+							<h2>Add category</h2>
+							<?php 
+								echo form_open(base_url().'admin/addcategory');
+								echo form_label('Category Name', 'categoryName');
+			                                   			echo form_input(array('name' => 'categoryName', 'required' => 'required')); 
+			                                   			echo form_hidden('cid',$cid); 
+			                                   			echo "<br>";
+			                                   			echo form_submit(array('name' => 'submit', 'value' => 'Add category', "class" => "btn btn-primary")); 
+								echo form_close(); 
+
+
+							 ?>
+								
+							</form>
+						
+						</div>
+					</div>
+					
+				</div>
+			</div>
+
+		</div>
+	</div>
+</body>
+
+</html>
\ No newline at end of file

=== modified file 'codeigniter/application/views/admin/add_course.php'
--- codeigniter/application/views/admin/add_course.php	2013-04-11 13:59:06 +0000
+++ codeigniter/application/views/admin/add_course.php	2013-04-24 14:31:47 +0000
@@ -1,28 +1,4 @@
-<body>
-	<div  id="header">
-		<div class="container">
-			<div class="row">
-				<div class="span12" id="nav">
-				</div>
-			</div>
-		</div>
-	</div>
-	<div class="container">
-		
-		<div class="row">
-			<div class="span12" id="mainpage">
-				<div class="row">
-					<div class="span3">
-						<div id="menu">
-							<div id="menuheader">
-								Dashboard
-							</div>
-							<ul>
-								<li class="active">Courses</li>
-								<li>Examples</li>
-							</ul>
-						</div>
-					</div>
+
 					<div class="span9">
 						
 						<div class="span9" id="content">

=== modified file 'codeigniter/application/views/admin/add_example.php'
--- codeigniter/application/views/admin/add_example.php	2013-04-12 15:53:54 +0000
+++ codeigniter/application/views/admin/add_example.php	2013-04-24 14:31:47 +0000
@@ -1,28 +1,4 @@
-<body>
-	<div  id="header">
-		<div class="container">
-			<div class="row">
-				<div class="span12" id="nav">
-				</div>
-			</div>
-		</div>
-	</div>
-	<div class="container">
-		
-		<div class="row">
-			<div class="span12" id="mainpage">
-				<div class="row">
-					<div class="span3">
-						<div id="menu">
-							<div id="menuheader">
-								Dashboard
-							</div>
-							<ul>
-								<li class="active">Courses</li>
-								<li>Examples</li>
-							</ul>
-						</div>
-					</div>
+
 					<div class="span9">
 						
 						<div class="span9" id="content">
@@ -34,6 +10,8 @@
 			                                   			echo form_label('Description', 'description');
 			                                   			echo form_input(array('name' => 'description', 'required' => 'required'));
 			                                   			echo form_hidden('cid',$cid); 
+			                                   			echo form_hidden('categoryName',$categoryName); 
+			                                   			echo form_hidden('subCategoryName',$subCategoryName); 
 			                                   			echo "<br>";
 			                                   			echo form_submit(array('name' => 'submit', 'value' => 'Add example', "class" => "btn btn-primary")); 
 								echo form_close(); 

=== modified file 'codeigniter/application/views/admin/add_page.php'
--- codeigniter/application/views/admin/add_page.php	2013-04-12 15:53:54 +0000
+++ codeigniter/application/views/admin/add_page.php	2013-04-24 14:31:47 +0000
@@ -1,28 +1,4 @@
-<body>
-	<div  id="header">
-		<div class="container">
-			<div class="row">
-				<div class="span12" id="nav">
-				</div>
-			</div>
-		</div>
-	</div>
-	<div class="container">
-		
-		<div class="row">
-			<div class="span12" id="mainpage">
-				<div class="row">
-					<div class="span3">
-						<div id="menu">
-							<div id="menuheader">
-								Dashboard
-							</div>
-							<ul>
-								<li class="active">Courses</li>
-								<li>Examples</li>
-							</ul>
-						</div>
-					</div>
+
 					<div class="span9">
 						
 						<div class="span9" id="content">

=== added file 'codeigniter/application/views/admin/add_sub_category.php'
--- codeigniter/application/views/admin/add_sub_category.php	1970-01-01 00:00:00 +0000
+++ codeigniter/application/views/admin/add_sub_category.php	2013-04-24 14:31:47 +0000
@@ -0,0 +1,31 @@
+
+					<div class="span9">
+						
+						<div class="span9" id="content">
+							<h2>Add subcategory</h2>
+							<?php 
+								echo form_open(base_url().'admin/addsubcategory');
+								echo form_label('SubCategory Name', 'subcategoryname');
+			                                   			echo form_input(array('name' => 'subcategoryname', 'required' => 'required')); 
+			                                   			echo form_hidden('cid',$cid); 
+			                                   			echo form_hidden('category',$category); 
+			                                   			echo "<br>";
+			                                   			echo form_submit(array('name' => 'submit', 'value' => 'Add subcategory', "class" => "btn btn-primary")); 
+								echo form_close(); 
+
+
+							 ?>
+								
+							</form>
+						
+						</div>
+					</div>
+					
+				</div>
+			</div>
+
+		</div>
+	</div>
+</body>
+
+</html>
\ No newline at end of file

=== modified file 'codeigniter/application/views/admin/header.php'
--- codeigniter/application/views/admin/header.php	2013-04-11 13:59:06 +0000
+++ codeigniter/application/views/admin/header.php	2013-04-24 14:31:47 +0000
@@ -3,6 +3,7 @@
 <head>
 	<title><?php echo $title ?></title>
 	<meta name="viewport" content="width=device-width, initial-scale=1.0">
+	<meta charset="utf-8">
 	<link href="<?php echo base_url();?>css/bootstrap.min.css" rel="stylesheet" type="text/css"/>
 	<link href="<?php echo base_url();?>css/bootstrap-responsive.min.css" rel="stylesheet" type="text/css"/>
 	<link href="<?php echo base_url();?>css/adminstyle.css" rel="stylesheet" type="text/css"/>

=== modified file 'codeigniter/application/views/admin/index.php'
--- codeigniter/application/views/admin/index.php	2013-04-19 14:01:28 +0000
+++ codeigniter/application/views/admin/index.php	2013-04-24 14:31:47 +0000
@@ -1,35 +1,4 @@
-<body>
-	<div  id="header">
-		<div class="container">
-			<div class="row">
-				<div class="span12" id="nav">
-					<div class="row">
-						<div class="separator"></div>
-						<div id="logo">*Lenasys logo*</div>
-						
-						<div class="separator"></div>
-						
-					</div>
-				</div>
-			</div>
-		</div>
-	</div>
-	<div class="container">
-		
-		<div class="row">
-			<div class="span12" id="mainpage">
-				<div class="row">
-					<div class="span3">
-						<div id="menu">
-							<div id="menuheader">
-								Dashboard
-							</div>
-							<ul>
-								<li class="active">Courses</li>
-								<li>Examples</li>
-							</ul>
-						</div>
-					</div>
+
 					<div class="span9">
 						
 						<div class="span9" id="content">

=== added file 'codeigniter/application/views/admin/manage_category.php'
--- codeigniter/application/views/admin/manage_category.php	1970-01-01 00:00:00 +0000
+++ codeigniter/application/views/admin/manage_category.php	2013-04-24 14:31:47 +0000
@@ -0,0 +1,35 @@
+
+					<div class="span9">
+						
+						<div class="span9" id="content">
+							<h2>Manage Subcategory -  <?php echo $categoryName ?> - <?php echo $cid ?></h2>
+							<table  class="table table-striped">
+								<thead>
+									<tr>
+										<th>SubCategory ID</th>
+										<th>Manage</th>
+									</tr>
+								</thead>
+								<tbody>
+									<?php
+										foreach ($subcategories as $item):
+									?>
+									<tr>
+										<td><?php echo $item->subCategoryName ?></td>
+										<td><button class="btn btn-primary" onClick="window.location.href='<?php echo base_url();?>admin/managesubcategory/<?php echo $cid ?>/<?php echo $categoryName ?>/<?php echo $item->subCategoryName ?>'"><i class="icon-cog icon-white"></i> Manage</button></td>
+									</tr>
+									<?php endforeach;?>
+								</tbody>
+							</table>
+							<button class="btn btn-primary" onClick="window.location.href='<?php echo base_url();?>admin/addsubcategory/<?php echo $cid ?>/<?php echo $categoryName ?>'"><i class="icon-plus-sign icon-white"></i> Add SubCategory</button>
+						</div>
+					</div>
+					
+				</div>
+			</div>
+
+		</div>
+	</div>
+</body>
+
+</html>
\ No newline at end of file

=== modified file 'codeigniter/application/views/admin/manage_course.php'
--- codeigniter/application/views/admin/manage_course.php	2013-04-19 13:23:12 +0000
+++ codeigniter/application/views/admin/manage_course.php	2013-04-24 14:31:47 +0000
@@ -1,35 +1,4 @@
-<body>
-	<div  id="header">
-		<div class="container">
-			<div class="row">
-				<div class="span12" id="nav">
-					<div class="row">
-						<div class="separator"></div>
-						<div id="logo">*Lenasys logo*</div>
-						
-						<div class="separator"></div>
-						
-					</div>
-				</div>
-			</div>
-		</div>
-	</div>
-	<div class="container">
-		
-		<div class="row">
-			<div class="span12" id="mainpage">
-				<div class="row">
-					<div class="span3">
-						<div id="menu">
-							<div id="menuheader">
-								Dashboard
-							</div>
-							<ul>
-								<li class="active">Courses</li>
-								<li>Examples</li>
-							</ul>
-						</div>
-					</div>
+
 					<div class="span9">
 						
 						<div class="span9" id="content">
@@ -37,22 +6,22 @@
 							<table  class="table table-striped">
 								<thead>
 									<tr>
-										<th>Example ID</th>
+										<th>Category ID</th>
 										<th>Manage</th>
 									</tr>
 								</thead>
 								<tbody>
 									<?php
-										foreach ($examples as $item):
+										foreach ($categories as $item):
 									?>
 									<tr>
-										<td><?php echo $item->name ?></td>
-										<td><button class="btn btn-primary" onClick="window.location.href='<?php echo base_url();?>admin/manageexample/<?php echo $cid ?>/<?php echo $item->Name ?>'"><i class="icon-cog icon-white"></i> Manage</button></td>
+										<td><?php echo $item->categoryName ?></td>
+										<td><button class="btn btn-primary" onClick="window.location.href='<?php echo base_url();?>admin/managecategory/<?php echo $cid ?>/<?php echo $item->categoryName ?>'"><i class="icon-cog icon-white"></i> Manage</button></td>
 									</tr>
 									<?php endforeach;?>
 								</tbody>
 							</table>
-							<button class="btn btn-primary" onClick="window.location.href='<?php echo base_url();?>admin/addexample/<?php echo $cid ?>'"><i class="icon-plus-sign icon-white"></i> Add example</button>
+							<button class="btn btn-primary" onClick="window.location.href='<?php echo base_url();?>admin/addcategory/<?php echo $cid ?>'"><i class="icon-plus-sign icon-white"></i> Add category</button>
 						</div>
 					</div>
 					

=== modified file 'codeigniter/application/views/admin/manage_example.php'
--- codeigniter/application/views/admin/manage_example.php	2013-04-12 15:53:54 +0000
+++ codeigniter/application/views/admin/manage_example.php	2013-04-24 14:31:47 +0000
@@ -1,35 +1,4 @@
-<body>
-	<div  id="header">
-		<div class="container">
-			<div class="row">
-				<div class="span12" id="nav">
-					<div class="row">
-						<div class="separator"></div>
-						<div id="logo">*Lenasys logo*</div>
-						
-						<div class="separator"></div>
-						
-					</div>
-				</div>
-			</div>
-		</div>
-	</div>
-	<div class="container">
-		
-		<div class="row">
-			<div class="span12" id="mainpage">
-				<div class="row">
-					<div class="span3">
-						<div id="menu">
-							<div id="menuheader">
-								Dashboard
-							</div>
-							<ul>
-								<li class="active">Courses</li>
-								<li>Examples</li>
-							</ul>
-						</div>
-					</div>
+
 					<div class="span9">
 						
 						<div class="span9" id="content">

=== added file 'codeigniter/application/views/admin/manage_sub_category.php'
--- codeigniter/application/views/admin/manage_sub_category.php	1970-01-01 00:00:00 +0000
+++ codeigniter/application/views/admin/manage_sub_category.php	2013-04-24 14:31:47 +0000
@@ -0,0 +1,35 @@
+
+					<div class="span9">
+						
+						<div class="span9" id="content">
+							<h2>Manage Subcategory -  <?php echo $categoryName ?> - <?php echo $cid ?></h2>
+							<table  class="table table-striped">
+								<thead>
+									<tr>
+										<th>Examples ID</th>
+										<th>Manage</th>
+									</tr>
+								</thead>
+								<tbody>
+									<?php
+										foreach ($examples as $item):
+									?>
+									<tr>
+										<td><?php echo $item->exampleName ?></td>
+										<td><button class="btn btn-primary" onClick="window.location.href='<?php echo base_url();?>admin/manageexample/<?php echo $cid ?>/<?php echo $categoryName ?>/<?php echo $subCategoryName ?>/<?php echo $item->exampleName ?>'"><i class="icon-cog icon-white"></i> Manage</button></td>
+									</tr>
+									<?php endforeach;?>
+								</tbody>
+							</table>
+							<button class="btn btn-primary" onClick="window.location.href='<?php echo base_url();?>admin/addexample/<?php echo $cid ?>/<?php echo $categoryName ?>/<?php echo $subCategoryName ?>'"><i class="icon-plus-sign icon-white"></i> Add example</button>
+						</div>
+					</div>
+					
+				</div>
+			</div>
+
+		</div>
+	</div>
+</body>
+
+</html>
\ No newline at end of file

=== added file 'codeigniter/application/views/admin/menu.php'
--- codeigniter/application/views/admin/menu.php	1970-01-01 00:00:00 +0000
+++ codeigniter/application/views/admin/menu.php	2013-04-24 14:31:47 +0000
@@ -0,0 +1,55 @@
+<body>
+	<div  id="header">
+		<div class="container">
+			<div class="row">
+				<div class="span12" id="nav">
+					<div class="row">
+						<div class="separator"></div>
+						<div id="logo">*Lenasys logo*</div>
+						
+						<div class="separator"></div>
+						
+					</div>
+				</div>
+			</div>
+		</div>
+	</div>
+	<div class="container">
+		
+		<div class="row">
+			<div class="span12" id="mainpage">
+				<div class="row">
+					<div class="span3">
+						<div id="menu">
+							<div id="menuheader">
+								Dashboard
+							</div>
+							<ul>
+								<?php
+									foreach ($menu as $coursename => $course) {
+										echo "<li>";
+										echo '<a href="'.base_url().'admin/managecourse/'.$course['CID'].'">'.$coursename.'</a>';
+										echo "<ul>";
+										foreach ($course as $categoryname => $category) {
+											if($categoryname == "CID") {
+												continue;
+											}
+											echo "<li>";
+											echo '<a href="'.base_url().'admin/managecategory/'.$course['CID'].'/'.$categoryname.'">'.$categoryname.'</a>';
+											
+											echo "<ul>";
+											foreach ($category as $subcategoryname => $subcategory) {
+												echo "<li>";
+												echo '<a href="'.base_url().'admin/managesubcategory/'.$course['CID'].'/'.$categoryname.'/'.$subcategoryname.'">'.$subcategoryname.'</a>';
+												echo "</li>";
+											}
+											echo "</ul>";
+											echo "</li>";
+										}
+										echo "</ul>";
+										echo "</li>";
+									}
+								?>
+							</ul>
+						</div>
+					</div>
\ No newline at end of file

=== modified file 'codeigniter/css/adminstyle.css'
--- codeigniter/css/adminstyle.css	2013-04-12 15:53:54 +0000
+++ codeigniter/css/adminstyle.css	2013-04-24 14:31:47 +0000
@@ -44,6 +44,7 @@
 	border: 1px solid #E3E3E3;
 }
 
+
 thead {
 	background-color: #0A68AD;
 	color: white;
@@ -70,6 +71,10 @@
 	padding-bottom: 5px;
 }
 
+#menu ul li ul li {
+	padding-left: 10px;
+}
+
 #menu ul .active {
 	border-right: 5px solid #333333;
 }
@@ -178,4 +183,5 @@
 
 .file {
 	background-color: #ccc;
-}
\ No newline at end of file
+}
+

=== modified file 'codeigniter/js/script.js'
--- codeigniter/js/script.js	2013-04-12 15:53:54 +0000
+++ codeigniter/js/script.js	2013-04-24 14:31:47 +0000
@@ -52,6 +52,8 @@
 		message.html(msg);
 	}
 
+	
+
 });
 
 function fileupdated(){

=== added directory 'courses/DA133G'
=== modified file 'databas.sql'
--- databas.sql	2013-04-24 09:25:43 +0000
+++ databas.sql	2013-04-24 14:31:47 +0000
@@ -1,8 +1,7 @@
 ﻿CREATE SCHEMA IF NOT EXISTS `lenasys` DEFAULT CHARACTER SET utf8 COLLATE utf8_general_ci ;
 USE `lenasys` ;
 -- -----------------------------------------------------
-CREATE USER 'dbsk'@'localhost' IDENTIFIED BY 'Tomten2009';
-GRANT ALL PRIVILEGES ON lenasys.* TO 'dbsk'@'localhost' WITH GRANT OPTION;
+
 
 
 -- -----------------------------------------------------

